Incidencia #42690

Fixed the screen from being cut-off while running in windowed mode.

Abrir Fecha: 2021-08-05 00:59 Última actualización: 2021-09-10 22:39

Informador:
Propietario:
(Ninguno)
Tipo:
Estado:
Open
Componente:
(Ninguno)
Hito:
(Ninguno)
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Ninguno
Fichero:
2

Details

Hi This bug was from Zandronum 3.1 alpha a few builds back were we tried compile the source causing to cut off the window title bar. Also this isn't related to gzdoom after 1.9.1 as they moved framebuffer coding to the GL section.

Ticket History (3/9 Histories)

2021-08-05 00:59 Updated by: doomjoshuaboy
  • New Ticket "Fixed the screen from being cut-off while running in windowed mode." created
2021-08-05 07:32 Updated by: doomjoshuaboy
Comentario

I meant to say that I couldn't find any compatible GZDoom backport for this issue because since GZDoom released 2.0 all frame buffer coding was recently moved to OpenGL.

Steps to produce:
1. Download this: https://testing.thedemoncrusher.site.nfoservers.com/official/ZandroDev3.1-210801-2044windows-x64.7z
or https://testing.thedemoncrusher.site.nfoservers.com/official/ZandroDev3.1-210801-2044windows-x86.7z
2. Load up any iWad into the port with OpenGL.
3. hit any key move the mouse on the top left corner there's a misalign with the screen in there.

2021-08-09 04:47 Updated by: torr_samaho
Comentario

For the record, this images illustrates the error: https://cdn.discordapp.com/attachments/472599799825432577/872051199988359238/zandronum_FNxj2xWoXW.png

Note how the "back arrows" on the top left are cut off.

2021-08-09 04:48 Updated by: torr_samaho
Comentario

Unfortunately, 10508.patch does not fix the issue on my end. I suspect the change is resolution dependent.

2021-08-10 19:15 Updated by: doomjoshuaboy
Comentario

Hi guys i think i have made a mistake as i found this in gzdoom this was from 2.4.0 so it didnt moved anything till 3.5.0 released: https://github.com/coelckers/gzdoom/commit/aeb7df09de843542c3da7c889e5cc18540e59f87#diff-2f32ecb3fb072a18937d2dc1d14a1764fe920d4217179381e3ae0f6d56065da1 so they had improved window handling on this so I am thinking we should add this code but not the rest of it.

2021-09-08 19:50 Updated by: doomjoshuaboy
Comentario

hi guys the 10537 patch could help for other resolution when using windowed mode as I don't have other solutions but the cut off might remain if you use the same resolutions as the monitor. So this is a known issue.

2021-09-10 22:39 Updated by: doomjoshuaboy
Comentario

actually ignore this will delay this till 4.0 but will talk about this later

Attachment File List

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar